%global commit 7786ec11fd3e94e894d845975d3aded0391ff0f5
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		drawterm
Version:	%{shortcommit}
Release:	1%{?dist}
Summary:	Connect to Plan 9 CPU servers from other operating systems
License:	LPL and MIT
URL:		https://swtch.com/drawterm/
Source0:	https://github.com/0intro/%{name}/archive/%{commit}.tar.gz
Source1:	9ball.png
Source2:	drawterm.1

BuildRequires:	gcc
BuildRequires:	libX11-devel
BuildRequires:	libXt-devel
BuildRequires:	make

Requires:	libX11
Requires:	libXt

%description
drawterm is not a Plan 9 program. It is a program that users of non-Plan
9 systems can use to establish graphical cpu(1) connections with Plan 9
CPU servers.

%prep
%setup -q -n %{name}-%{commit}

%build
CONF=unix make

%install
mkdir -p %{buildroot}%{_bindir}/
cp -p drawterm %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p %SOURCE1 %{buildroot}%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_mandir}/man1/
cp -p %SOURCE2 %{buildroot}%{_mandir}/man1/

%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%changelog
* Mon Nov 25 2019 Steven Stallion <sstallion@gmail.com> 7786ec1-1
- Upgrade to 7786ec1

* Tue Oct 17 2017 Steven Stallion <sstallion@gmail.com> 5b48c13-1
- Initial revision
